<?php
/**
 * WHMCS PayPlantation Module
 *
 * PayPlantation Payment Gateway modules allow you to integrate payment solutions with the
 * WHMCS platform.
 *
 *
 * For more information, please refer to the online documentation.
 *
 * @see https://payplantation.com/plugins.php
 *
 * @copyright Copyright (c) PayPlantation Limited 2015
 */

// Require libraries needed for gateway module functions.
require_once __DIR__ . '/../../../init.php';
require_once __DIR__ . '/../../../includes/gatewayfunctions.php';
require_once __DIR__ . '/../../../includes/invoicefunctions.php';

// Detect module name from filename.
$gatewayModuleName = basename(__FILE__, '.php');

// Fetch gateway configuration parameters.
$gatewayParams = getGatewayVariables($gatewayModuleName);

// Die if module is not active.
if (!$gatewayParams['type']) {
    die("Module Not Activated");
}
$GATEWAY = getGatewayVariables("payplantation");
if (!$GATEWAY["type"]) {
    exit("Module Not Activated");
}
$gatewaymodule = "payplantation";

// Retrieve data returned in payment gateway callback
// Varies per payment gateway
$encoded = json_encode($_GET['token']);
$encoded = substr($encoded,1);
$decoded = json_decode(base64_decode($encoded), TRUE);
$invoiceid = $_GET['order_id'];
$transid = $decoded["transaction_id"];
$invoiceid = checkCbInvoiceID($invoiceid, $GATEWAY["paymentmethod"]);

    if ($decoded["status"] == 200)
    {
        addInvoicePayment($invoiceid, $transid, $decoded["total"],0, $gatewaymodule);

        logTransaction($GATEWAY["paymentmethod"], $decoded, "Successful");
        echo "<meta http-equiv=\"refresh\" content=\"2;url=" . $CONFIG["SystemURL"] . "/viewinvoice.php?id=" . $invoiceid . "&paymentsuccess=true\">";
    }else {
        $msg = "Got update from payplantation. transaction Id: " . $transid . " status: " . $decoded["status"];
        insert_query("tblinvoiceitems", array("invoiceid" => $invoiceid, "description" => $msg));
        logTransaction($GATEWAY["paymentmethod"], $decoded, "Unsuccessful");
         echo "<meta http-equiv=\"refresh\" content=\"2;url=" . $CONFIG["SystemURL"] . "/clientarea.php?action=invoices\">";
    }


